Get For Backup
curl --request GET \
--url https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters/get-for-backup \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters/get-for-backup"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/msp/postgresql/v1alpha1/clusters/get-for-backup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"bootstrap": {
"dbName": "<string>",
"userName": "<string>",
"userPassword": "<string>"
},
"config": {
"template": {
"disk": {
"sizeGibibytes": "<string>",
"type": "<string>"
},
"hosts": {
"count": "<string>"
},
"resources": {
"platform": "<string>",
"preset": "<string>"
}
},
"version": "<string>",
"poolerConfig": {
"maxPoolSize": "<string>",
"poolingMode": "POOLING_MODE_UNSPECIFIED"
},
"postgresqlConfig16": {
"autovacuumAnalyzeScaleFactor": 123,
"autovacuumNaptime": "<string>",
"autovacuumVacuumCostDelay": "<string>",
"autovacuumVacuumCostLimit": "<string>",
"autovacuumVacuumScaleFactor": 123,
"autovacuumWorkMem": "<string>",
"defaultTransactionReadOnly": true,
"idleInTransactionSessionTimeout": "<string>",
"maxConnections": "<string>",
"searchPath": "<string>",
"sharedBuffers": "<string>",
"statementTimeout": "<string>"
},
"publicAccess": true
},
"networkId": "<string>",
"backup": {
"backupWindowStart": "<string>",
"retentionPolicy": "<string>"
},
"description": "<string>"
},
"status": {
"connectionEndpoints": {
"privateReadOnly": "<string>",
"privateReadWrite": "<string>",
"publicReadOnly": "<string>",
"publicReadWrite": "<string>"
},
"phase": "PHASE_UNSPECIFIED",
"presetDetails": {
"cpuCount": 123,
"gpuCount": 123,
"memoryGibibytes": "<string>"
},
"state": "STATE_UNSPECIFIED"
}
}clusters
Get For Backup
Returns the specified PostgreSQL Cluster resource for backup. It should be used as a hint of cluster configuration in case of backup restoration.
GET
/
msp
/
postgresql
/
v1alpha1
/
clusters
/
get-for-backup
Get For Backup
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
ID of the PostgreSQL cluster that holds backup.
ID of the backup for which source cluster is requested.
Was this page helpful?
⌘I